Update user settings
PUT
/v1/user/settings
const url = 'https://api.neuramancer.dev/v1/user/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"lang":"de","tosAccepted":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.neuramancer.dev/v1/user/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "lang": "de", "tosAccepted": true }'Updates the authenticated user’s settings. Requires authentication with settings scope.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
User preference settings.
object
lang
Preferred language code (e.g. ‘de’, ‘en’)
string
Example
detosAccepted
Whether the user has accepted the terms of service
boolean
Responses
Section titled “Responses”User settings updated successfully
Media typeapplication/json
object
success
boolean
Example
{ "success": true}Unauthorized - missing or invalid token, or user lacks settings scope
Media typeapplication/json
Standardized error response following the APIResponse
object
success
required
boolean
message
required
string
Example
{ "success": false, "message": "Bad request"}Internal server error
Media typeapplication/json
Standardized error response following the APIResponse
object
success
required
boolean
message
required
string
Example
{ "success": false, "message": "Bad request"}